# infiltration.hh File Reference

Declarations of infiltration(). More...

Include dependency graph for infiltration.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.

## Functions

Infiltration algorithm

Returns a fresh automaton that is the infiltration of the two input ones.

Precondition:
  The two input automata must be realtime.

template<typename A , typename T , typename U >
Element< A, T > | infiltration (const Element< A, T > &lhs, const Element< A, U > &rhs, const bool use_geometry=false)
template<typename A , typename T , typename U >
Element< A, T > | infiltration (const Element< A, T > &lhs, const Element< A, U > &rhs, std::map< typename T::hstate_t, std::pair< typename T::hstate_t, typename U::hstate_t > > &, const bool use_geometry=false)

## Detailed Description

Declarations of infiltration().

See also:
  infiltration()

Definition in file infiltration.hh.